உள்ளடக்கத்திற்குச் செல்க

Lyria2

ஒருங்கிணை

மாடல் id lyria2
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lyria2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கை: ≈$0.10 100 API கிரெடிட்கள் · ≈ ₽10.55 இந்தப் பக்கத்தில் இயக்குங்கள்

API விசையைப் பெறுக

ப்ராம்ப்ட்டிலிருந்து இசைத்தடத்தை இயற்றும் Google உரையிலிருந்து இசை மாதிரி; எதிர்மறை ப்ராம்ப்ட் விருப்பத்துடன்

Google · ஆடியோ

உங்கள் முதல் முடிவு இங்கே வரும்

கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.

கோரிக்கையை உருவாக்கு

மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.

•தேவை 88 / 2000

உருவாக்க வேண்டிய இசையின் உரை விளக்கம்.

மேம்பட்டவை negative_prompt · seed · enable_safety_checker
இயல்புநிலை low quality

ஆடியோ வெளியீட்டிலிருந்து விடுபடுத்த வேண்டிய கூறுகளின் விளக்கம்.

தீர்மானிக்கக்கூடிய ஆடியோவை கோரப் பயன்படுத்தப்படும் உருவாக்க seed: மாற்றமில்லாத ப்ராம்ப்ட் மற்றும் பிற அளவுருக்களுடன் இதை மீண்டும் பயன்படுத்தினால், அதே ஆடியோவை மீண்டும் உருவாக்க மாதிரி முயற்சிக்கும்.

POST /run/lyria2?wait=20 விலை → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/lyria2?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

இந்தக் கோரிக்கையை இயக்கு

உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்

Lyria2 பற்றி

2000 எழுத்துகள் வரை உள்ள உரை விளக்கத்திலிருந்து இசையை இயற்றுகிறது. தவிர்க்க வேண்டிய கூறுகளை `negative_prompt` பட்டியலிடுகிறது; மீண்டும் உருவாக்கக்கூடிய வெளியீட்டிற்காக `seed` அமைக்கலாம். இது உரையை மட்டும் ஏற்று, ஒற்றை ஆடியோ பொருளைத் திருப்பி வழங்குகிறது; எனவே பின்னணி இசைத்தடங்களுக்கும் விரைவான இசை வரைபடங்களுக்கும் ஏற்றது.

அளவுருக்கள்

பெயர்வகை இயல்புநிலைஅனுமதிக்கப்பட்டது விளக்கம்
promptதேவை
வகைstring
≤ 2,000 எழுத்துகள்
உருவாக்க வேண்டிய இசையின் உரை விளக்கம்.
negative_promptவிருப்பத்தேர்வு
வகைstring
இயல்புநிலைlow quality
ஆடியோ வெளியீட்டிலிருந்து விடுபடுத்த வேண்டிய கூறுகளின் விளக்கம்.
seedவிருப்பத்தேர்வு
வகைinteger | null
தீர்மானிக்கக்கூடிய ஆடியோவை கோரப் பயன்படுத்தப்படும் உருவாக்க seed: மாற்றமில்லாத ப்ராம்ப்ட் மற்றும் பிற அளவுருக்களுடன் இதை மீண்டும் பயன்படுத்தினால், அதே ஆடியோவை மீண்டும் உருவாக்க மாதிரி முயற்சிக்கும்.
enable_safety_checkerவிருப்பத்தேர்வு
வகைboolean
இயல்புநிலைtrue
அழைப்பாளர் அங்கீகரிக்கப்பட்டிருந்தால், false என அமைப்பதன் மூலம் திரையிடலைத் தளர்த்தலாம்.
தேவை

வெளியீடு

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lyria2",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
உங்கள் கோப்புகள், உங்கள் தேர்வுஒவ்வொரு outputs[].url-ம் எங்கள் சேமிப்பகத்தில் உள்ள ஒரு நகல்: நிரந்தரமாக (GB-மாதத்திற்கு கட்டணம்) அல்லது உங்கள் கணக்கு அமைப்பு அல்லது ?storage= மூலம் இலவசமாக 7 நாட்கள் வைக்கப்படும்.
ஒவ்வொரு மாடலிலும் ஒரே வடிவம்படங்கள், வீடியோ மற்றும் ஆடியோ ஆகிய அனைத்திற்குமான type, url, content_type, width, height மற்றும் duration. output என்பது மாதிரியின் சொந்த முடிவு பொருளாகும்.
வெளியீட்டின் புலங்கள்
audio
object {url, content_type, file_name, file_size}மாதிரியால் உருவாக்கப்பட்ட இசை.

AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/lyria2.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt